Docs
Add File Association
POST /Drives/{driveId}/files/{fileId}/associations
POST
/Drives/{driveId}/files/{fileId}/associationsShares a file with crew members, departments or locations, giving each a set of permissions and optionally marking each as a reviewer. Crew ids come from Drives_GetDriveCrew, department and location ids from Drives_GetDrivePartition. Needs admin access to the file's location.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| crewMembers | AddFileAssociationsRequestAssociation[] | Optional | |
| departments | AddFileAssociationsRequestAssociation[] | Optional | |
| locations | AddFileAssociationsRequestAssociation[] | Optional |
AddFileAssociationsRequestAssociation
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| permissions | string[]| null | |
| isReviewer | boolean |